// Test.cpp : Defines the entry point for the console application.
//

//#include "stdafx.h"

#include "gdsIIExporter.h"
#include <math.h>
#include <iostream>

#define pt 180

int main(int argc, char* argv[])
{
	__int32 x1[pt];
	__int32 y1[pt];
	
	char *src="ems.gds";
	__int32 x[]={110,210,327,200,600,700,880,1000};
	__int32 y[]={0,100,250,150,300,440,900,800};
	__int32 xb[]={110,210,327,550};
	__int32 yb[]={0,200,250,170};

	__int32 xar[]={0,1100,0};
	__int32 yar[]={0,0,1000};

	double k;
	for(int i=0; i<pt; i++)
	{
		k=i/10.;
		x1[i]=i*10;
		y1[i]=long(sin(k)*500);
	}

	if(!LoadGDSIIExporter())
                exit(1);
try{
GDS_BeginLib(src, 1e-3, 1e-9);
	GDS_BeginStructure("str3");
		GDS_Sref("str1", 1000, 1000,0,1,30,ELFLAGS_TEMPLATE,0);
	GDS_EndStructure();
	
	GDS_BeginStructure("str2");
		GDS_Aref("ur11",  xar, yar,5,4,0,1,0,0,0);
	GDS_EndStructure();		

	GDS_BeginStructure("ur11");
		GDS_Box(0,0,200,200, 0,0, 0, 0);
	GDS_EndStructure();	
	
		
	GDS_BeginStructure("str1");
       	GDS_Box(105, 105,  205, 205,0,10, 0, 0);
		GDS_BoxWH(250, 105,  200, 300,0,10, 0, 0);
		GDS_Square(500, 105, 400,0,0,0,0);
					
		GDS_Path( x, y, 8 ,10, 1,63, PATHTYPE1, 0, PLEX_HEAD);
		GDS_Path( x1, y1, pt ,30, 1,63, PATHTYPE1,ELFLAGS_TEMPLATE,0);
		GDS_Boundary( xb, yb, 4 ,1, 61, 0, 0);
		GDS_Text( 100, 100, "Easy Math Solution", 1, 4,
				PRESENT_HCENTER |PRESENT_VBOTTOM, PATHTYPE1, 0, STRANS_0,
				0.1, 0, 0, 0);
		GDS_Text( 100, 300, "GDSIIExporter", 1, 4,
				PRESENT_HCENTER |PRESENT_VBOTTOM, PATHTYPE1, 0, STRANS_0,
				0.1, 0, 0, 0);
		GDS_Text( 100, 500, "Copyright EMS XXI", 1, 4,
				PRESENT_HLEFT |PRESENT_VBOTTOM, PATHTYPE1, 0, STRANS_0,
				0.05, 45, 0, 0);
			
		GDS_Circle(1500, 1000, 1000, 150, 0,0,0,0);
		GDS_Circle(1000, 1500, 1000, 7, 0,0,0,0);
		
	GDS_Arc(100, 150, 1000, 45, 178, 135,40, 0, 0, PATHTYPE1,0,0);
		GDS_Arc(400, 300, 600, 120, 270, 100,40, 0, 0, PATHTYPE2,0,0);
		GDS_Sector(1000, 1500, 1050, 30, 185,100, 0,0,0,0);
		GDS_Sector(1000, 1000, 800, 120, 290,199, 0,0,0,0);
		GDS_Square(500, 500, 400,0,0,0,0);
	GDS_EndStructure();
	
GDS_EndLib();

UnLoadGDSIIExporter();

	}catch(GDSIIException &e) {
		std::cout<<e.getError();
	}

	return 0;

}

